<template>
  <v-sheet class="bg-deep-purple pa-12" rounded>
    <v-card class="mx-auto px-6 py-8" max-width="344">
      <v-form v-model="form" @submit.prevent="onSubmit">
        <v-text-field
          v-model="Username"
          :readonly="loading"
          class="mb-2"
          label="Username"
          clearable
        ></v-text-field>

        <v-text-field
          v-model="password"
          :readonly="loading"
          label="Password"
          placeholder="Enter your password"
          clearable
        ></v-text-field>

        <br />

        <v-btn
          color="success"
          size="large"
          type="submit"
          text
          @click="getData()"
        >
          Sign In
        </v-btn>
        <v-spacer></v-spacer>
        <v-btn
          color="error"
          size="large"
          type="submit"
          text
          @click="dialogedit = true"
        >
          Sign Up
        </v-btn>
        <v-dialog v-model="dialogedit" max-width="500px">
          <v-card>
            <template>
              <v-form>
                <v-container>
                  <v-row>
                    <v-col cols="12" sm="6">
                      <v-text-field
                        label="Username"
                        v-model="postdata.username"
                        id="Username"
                      ></v-text-field>
                    </v-col>
                    <v-col cols="12" sm="6">
                      <v-text-field
                        label="Password"
                        v-model="postdata.password"
                        id="password"
                      ></v-text-field>
                    </v-col>

                    <v-col cols="12" sm="6">
                      <v-text-field
                        label="Confirm Password"
                        id="password"
                        v-model="confirmpassword"
                      ></v-text-field>
                    </v-col>

                    <v-col cols="12" sm="6">
                      <v-text-field
                        label="Solo"
                        model-value="John Doe"
                        variant="solo"
                        readonly
                      ></v-text-field>
                    </v-col>

                    <v-col cols="12" sm="6">
                      <v-text-field
                        label="Outlined"
                        model-value="John Doe"
                        variant="outlined"
                        disabled
                      ></v-text-field>
                    </v-col>

                    <v-col cols="12" sm="6">
                      <v-text-field
                        label="Outlined"
                        model-value="John Doe"
                        variant="outlined"
                        readonly
                      ></v-text-field>
                    </v-col>

                    <v-col cols="12" sm="6">
                      <v-text-field
                        label="underlined"
                        model-value="John Doe"
                        variant="underlined"
                        disabled
                      ></v-text-field>
                    </v-col>

                    <v-col cols="12" sm="6">
                      <v-text-field
                        label="underlined"
                        model-value="John Doe"
                        variant="underlined"
                        readonly
                      ></v-text-field>
                    </v-col>
                  </v-row>
                </v-container>
              </v-form>
              <v-spacer></v-spacer>
              <v-btn class="mt-3" color="error" @click="dialog = false">
                Cancel
              </v-btn>
              <v-btn class="mt-3" color="success" @click="getData()"
                >Create</v-btn
              >
            </template>
          </v-card>
        </v-dialog>
      </v-form>
    </v-card>
  </v-sheet>
</template>
<script>
export default {
  data() {
    return {
      dialogedit: false,
      Username: "",
      password: "",
      id: "",
      confirmpassword: "",
      // dialogedit: false,
      postdata: {
        use_id: 0,
        username: "",
        password: "",
        firstName: "",
        lastName: "",
        age: 0,
        gender: "",
      },
      postdefault: {
        use_id: 0,
        username: "",
        password: "",
        firstName: "",
        lastName: "",
        age: 0,
        gender: "",
      },
      apidata: [],
    };
  },
  methods: {
    onSubmit() {},
    getData() {
      this.axios.get("http://localhost:3000/listUser/").then((response) => {
        var dataUser = response.data.data.map((item) => item.username);
        var passwordUser = response.data.data.map((item) => item.password);
        console.log("item:", passwordUser);
        if (dataUser.includes(this.Username)) {
          if (passwordUser.includes(this.password)) {
            alert("มีข้อมูล Username นี้ในระบบ");
            this.$router.push("/home");
            return;
          }
          alert("Password ผิดพลาด");
        } else {
          alert("ไม่พบข้อมูล Username นี้ในระบบ");
        }

        this.apidata = response.data.data;
      });
    },
  },

  // created() {
  //   this.getData();
  // },
};
</script>

<style></style>
